已​存档:​NI​产品​与​Microsoft Windows 8​之间​的​兼容性

NI does not actively maintain this document.

This content provides support for older products and technology, so you may notice outdated links or obsolete information about operating systems or other relevant products.

概览

以下​文​档​列出​了​Windows 8​支持​的​最低​NI​软件​版本。​随​附​表格​列出​了​可用​的​软件、​驱动​程序、​附加​工具​和​工具​包​及其​在​Windows 8​上​运行​的​最低​版本​要求。

内容

Windows 8 32​位​和​Windows 8 64​位​系统​有何​区别?

Windows 8 32​位​系统​可以​在​x86​或​x64​硬件​上​运行。​与​Windows XP 32​位​类似​的是,​Windows 8 32​位​系统​仅​能​访问​32​位​地址。​因此,​即使​Windows 8 32​位​系统​在​x64​硬件​上​运行,​也​只​局​限于​使用​4 GB​的​RAM。​Windows 8 32​位​系统​无法​运行​专​为​64​位​操作​系统​而​设计​的​64​位​版本​驱动​程序​或​软件。

Windows 8 64​位​系统​只能​安装​在​x64​硬件​上。​该​版本​的​操作​系统​允许​软件​使用​64​位​地址​访问​硬件,​因此​可以​访问​更大​的​内存​空间。 为了​成功​在​Windows 8 64​位​系统​上​运行,​所有​驱动​程序​都​必须​原生​支持​64​位​系统。​但是,​大​多数​32​位​软件​应用​程序​都可以​在​Windows 8 64​位​系统​的​仿真​层​内​运行。

如需​进一步​了解​Windows 32​位​和​64​位​系统​的​区别,​请​参见在​Windows 32​位​和​64​位​系统​上​使用​NI​产品

Known Compatibility Issues

快速​启动​问题

NI​强烈​建议​客户​禁用​快速​启动​功能

升级​后​NI​软件​的​修复

从​Windows 8​升级​到​8.1​后,​在​NI​软件​上​执行​修复​可能​会​导致​无法​再​访问​与​所​修复​驱动​程序​相关​的​硬件。​如果​要​将​NI​设备​驱动​程序​恢复​到​工作​状态,​请​对​受​影响​的​设备​驱动​程序​进行​第二次​修复。

软件

以下​NI​软件​包​与​所​列出​的​Windows 8 32​位​和​Windows 8 64​位​版本​兼容。​从​2013​年​开始,​NI​软件​的​所有​新​版本​都​将​在​其​自述​文件​中​说明​其​与​Windows 8​的​兼容​性。​如​对​任何​软件​与​Windows​和​LabVIEW 64​位​版本​的​兼容​性​有​任何​疑问,​请​参见​该​版本​软件​的​自述​文件。

注意:在​下表​中,“Windows 8 64​位​(使用​32​位​软件)”一​列​列出​了​在​Windows​的​Windows (WOW64)​仿真​层​运行​的​32​位​软件​的​最低​版本。

NI​软件​与​Windows 8 32​位​和​64​位​系统​的​兼容性
NI​软件 Windows 8 32位 Windows 8 64位 Windows 8 64位
(使用​32​位​软件) (使用​64​位​软件)
GPIB/​串​行​转换​器​软件 19.0 不​适用 19.0
InsightCM​服务器 不​支持 不​支持 不​支持
NI​模拟​视频​发生器 3.1 3.1 不​支持
NI​模拟​波形​编辑器 1.2.1 1.2.1 不​支持
NI AudioMASTER 不​支持 不​支持 不​支持
NI Automated Test Software Suite NIWeek 2016 NIWeek 2016 NIWeek 2016
NI​批处理​安装​包​生成器 1.0 1.0 不​支持
NI Calibration Executive 3.5 - 5.0 3.5 6.0
NI Calibration Executive for Traditional DAQ 不​支持 不​支持 不​支持
NI Developer Suite NIWeek 2010 NIWeek 2010 NIWeek 2010
NI DIAdem 2012 SP1 2012 SP1 2015年
NI​数字​视频​发生器 不​支持 不​支持 不​支持
NI​数字​波形​编辑器 3.0 3.0 不​支持
NI FlexLogger 不​适用 不​适用 2018 R2
NI​功能​安全​编辑器 不​支持 不​支持 9​月​17日
NI I/​O Trace1 3.0.2 3.0.2 3.0.2
NI InstrumentStudio 不​适用 不​适用 2018
NI LabVIEW 32位 2012 2012 不​支持
NI LabVIEW 64位 不​支持 2012 2012
NI LabVIEW​通信​系统​设计​软件 不​支持 不​支持 1.0
NI LabVIEW​通信​系统​设计​套件 不​支持 不​支持 1.0
NI LabVIEW​教学版 2012 2012 不​支持
NI LabVIEW for LEGO® MINDSTORMS 2012 2012 不​支持
NI LabVIEW NXG 不​支持 不​支持 1.0
NI LabVIEW Run-​Time​引擎​(32​位) 2009 SP1 2009 SP1 不​支持
NI LabVIEW Run-​Time​引擎​(64​位) 不​支持 2009 SP1 2009 SP1
NI LabVIEW SignalExpress 2012 2012 不​支持
NI LabVIEW​学生版 NIWeek 2010 NIWeek 2010 NIWeek 2010
NI LabWindows/​CVI 2012 2012 2012
NI LabWindows/​CVI Run-​Time​引擎 2012 2012 2012
NI Lookout 6.7 6.7 不​支持
NI MATRIXx 不​支持 不​支持 不​支持
NI Measurement and Automation Explorer 5.3.3 5.3.3 不​支持
NI Measurement Studio 2012 2012 2012
NI Multisim 13.0 13.0 不​支持
NI Package Builder 19.0 19.0 19.0
NI Package Manager 19.0 19.0 17.0
NI​图像​质量​分析 (PQA) 1.6 1.6 不​支持
NI​实​时​管理​程序 不​支持 不​支持 不​支持
NI Requirements Gateway 2012 2012 不​支持
NI FRC Software 2013 2013 2013
NI Software Platform Bundle NIWeek 2010 NIWeek 2010 NIWeek 2010
NI Switch Executive 3.6 3.6 2015年
NI SystemLink Client 不​适用 不​适用 17.0
NI SystemLink Server 不​适用 不​适用 17.0
NI Test Integration Adapter for IBM Rational Quality Manager 2.0 2.0 不​支持
NI TestStand 2012 2012 2014
NI Ultiboard 13.0 13.0 不​支持
NI​更新​服务 15.0 15.0 17.0
NI VeriStand 2011 SP1 - 2018 SP1 2011 SP1 - 2018 SP1 2019
NI Video Measurement Suite (VMS) 不​支持 不​支持 不​支持
NI​自动​化​检测​视觉​生成器 2012 2012 2014 SP1
NI​批量​许可​证​管理器 3.0 3.0 不​支持

NI Spy​从​3.0​版本​开始​更名​为​NI I/​O Trace

附加​工具​和​工具包

以下​NI附加​工具​和​工具包与​所​列出​的​Windows 8 32​位​和​Windows 8 64​位​版本​兼容:

注意:​在​下表​中,“Windows 8 64​位​(使用​32​位​软件)”一​列​列出​了​在​Windows​的​Windows (WOW64)​仿真​层​运行​的​32​位​软件​的​最低​版本。

附加​工具​和​工具​包​与​Windows 8 32​位​和​64​位​系统​的​兼容性
NI​附加​工具​和​工具包 Windows 8 32位 Windows 8 64位 Windows 8 64位
(使用​32​位​软件) (使用​64​位​软件)
FlexLogger​插​件​开发​套件 不​适用 不​适用 1.0
NI​汽车​诊断​指令集 1.1.1 1.1.1 15.0.0
NI​蓝牙​工具包 1.1 1.1 14.0
NI​燃烧​分析​系统​软件 2013 2013 不​支持
NI ECU​测量​与​校准​工具包 2.2.1 2.2.1 15.0.0
NI FM/​RDS Measurement Suite 1.0 1.0 不​支持
NI GNSS Measurement Suite 3.0 3.0 不​支持
NI GPS​仿真​工具包 2.0.1 2.0.1 不​支持
NI GSM-​EDGE​工具包 1.1 1.1 不​支持
NI InsightCM SDK 2.0 2.0 不​支持
NI LabVIEW​自​适应​滤波​器​工具包 2012 2012 不​支持
NI LabVIEW​高级​信号​处理​工具包 2012 2012 2018
NI LabVIEW​分析​和​机器​学习​工具包 2017 2017 2018
NI LabVIEW​应用​程序​生成器 2012 2012 2012
NI LabVIEW​生物​医学​工具包 2012 2012 不​支持
NI LabVIEW C​代码​生成​器​工具包 2011 2011 不​支持
NI LabVIEW Communications MIMO​应用​框架 不​支持 不​支持 1.0
NI LabVIEW​控制​设计​与​仿真​模块 2012 2012 2016
NI LabVIEW​数据​库​连接​工具包 2012 2012 2019
NILabVIEW DataFinder​工具包 2012 2012 不​支持
NI LabVIEW​数据​记录​和​监​控​模块 2013 2013 不​支持
NI LabVIEW​桌面​执行​跟踪​工具包 2012 2012 2016
NI LabVIEW​数字​滤波​器​设计​工具包 2012 2012 2018
NI LabVIEW​电力​工具包 2011 2011 不​支持
适用​于​ARM​的​LabVIEW​嵌入式​模块 2012 2012 不​支持
NI LabVIEW​无线​传感器​网络​模块 2012 2012 不​支持
NI LabVIEW FPGA​模块 15.01 15.01 不​支持
NI LabVIEW FPGA Xilinx ISE 不​支持1 不​支持1 不​支持
NI LabVIEW FPGA Xilinx Vivado 不​支持1 不​支持1 不​支持
NI LabVIEW GPS​调制​工具包 2.0.1 2.0.1 不​支持
NI LabVIEW​因​特​网​工具包 未​测试2 未​测试2 不​支持
NI LabVIEW​抖动​分析​工具包 2012 2012 不​支持
NI LabVIEW LEGO® MINDSTORMS® NXT​模块 2012 2012 不​支持
NI LabVIEW MathScript RT​模块 2012 2012 2016
NI LabVIEW​移动​模块 2011 SP1 2011 SP1 不​支持
NI LabVIEW​调制​解调​工具包 4.3.3 4.3.3 4.3.3
NI LabVIEW​多核​分析​和​稀疏​矩阵​工具包 2012 2012 2012
NI LabVIEW myRIO​工具包 2013 2013 不​支持
NI LabVIEW OPC UA​工具包 2017 2017 2018
NI LabVIEW PID​和​模糊​逻辑​工具包 2012 2012 不​支持
NI LabVIEW Real-​Time​执行​跟踪​工具包 2.0.5 2.0.5 不​支持
NI LabVIEW Real-​Time​模块 2012 SP1 2012 SP1 不​支持
NI LabVIEW Microsoft Office​报表​生成​工具包 2013 2013 20143
NI LabVIEW roboRIO​工具包 2015 2015 不​支持
NI LabVIEW​机器​人​模块 2012 2012 不​支持
NI LabVIEW​仿真​接口​工具包 2012 2012 不​支持
NI LabVIEW SoftMotion​模块 2012 2012 不​支持
NI LabVIEW​状态​图​模块 2012 2012 不​支持
NI LabVIEW​系统​识别​工具包 2012 2012 不​支持
NI LabVIEW​触摸​屏​模块 2012 2012 不​支持
NI LabVIEW​单元​测试​框架 2012 2012 2016
NI LabVIEW VI​分析​仪​工具包 2012 2012 2016
NI LabWindows/​CVI​执行​测​评​工具包 1.0 1.0 1.0
NI LabWindows/​CVI​调制​解调​工具包 4.1 4.1 不​支持
NI LabWindows/​CVI PID​控制​工具包 2.1 2.1 2.1
NI LabWindows/​CVI Real Time​模块 2012 2012 不​支持
NI LabWindows/​CVI​信号​处理​工具包 7.0.2 7.0.2 不​支持
NI LabWindows/​CVI​频​谱​测量​工具包 2.6.3 2.6.3 2.6.3
NI LabWindows/​CVI SQL​工具包 2.2 2.2 2.2
NI​许可​证​管理器 3.7 3.7 3.7
NI LTE Measurement Suite 2.0.1 2.0.1 不​支持
NI Measurement Suite (用于​固定​WiMAX) 1.0 1.0 不​支持
NI Measurement Suite(用于​移动​WiMAX) 1.0.1 1.0.1 不​支持
NI Motion Assistant 2.8 2.8 不​支持
NI OPC​服务器 2013 2013 不​支持
NI​图片​质量​分析 1.5 1.5 不​支持
NI-​RFFastACP 1.0.0 1.0.0 1.0.0
NI-​RFPM 不​支持 不​支持 不​支持
NI RM-​RDS​工具包 1.0.1 1.0.1 不​支持
NI​软件​校准​管理​工具包 2013 2013 不​支持
NI​声音​和​振动​测量​套件 2012 2012 2012(不​包含​Express VI​配置)
NI​频​谱​测量​工具包 2.6.3 2.6.3 2.6.3
NI SystemLink Server - 测试​模块 不​适用 不​适用 18.0
NI TDMS 2.4.0 2.4.0 2.4.0
NI TestStand ATML​工具包 2013 2013 2017
NI TestStand​半导体​模块 2012 2012 2014
NI​视觉​开发​模块 2012 2012 2012
NI​视觉​开发​模​块​Run-​Time 2012 2012 2012
NI-​VRTS 不​适用 1.5 1.5
NI WCDMA/​HSPA Measurement Suite 1.0.1 1.0.1 不​支持
NI​无线​测试​模块 1.0.1 1.0.1 不​支持
NI WLAN​工具包 3.0 3.0 14.0
RFIC​测试​软件 不​支持 3.0 3.0
InstrumentStudio​的​半导体​设备​控制​附加​工具 不​适用 不​适用 2019
第三​方​许可​和​激活​工具包 2012 2012 2012
VCSEL I-​V​测试​软件 不​支持 不​支持 不​支持

 

1 Windows 8​部分​支持​LabVIEW FPGA​模​块。​任何​要求​本地​安装​Xilinx​工具​的​功能​均​不受​支持。​这​是​因为​LabVIEW FPGA​模​块​所​使用​的​Xilinx​工具​无法​正式​支持​Windows 8。

2 LabVIEW​因​特​网​工具​包​于​2012​年​8​月​被​弃​用,​其​所有​的​功能​都​已​集成​到​LabVIEW​中。

3 LabVIEW Microsoft Office​报表​生成​工具​包​在​Windows 8​上​不受​支持,​但在​Windows 8.1​上​受​支持。

硬件​驱动​程序

以下​NI硬件​驱动​程序与​所​列出​的​Windows 8 32​位​和​Windows 8 64​位​版本​兼容。

注意:在​下表​中,“Windows 8 64​位​(使用​32​位​软件)”一​列​列出​了​在​Windows​的​Windows (WOW64)​仿真​层​运行​的​32​位​软件​的​最低​版本。

NI​硬件​驱动​程序​与​Windows 8 32​位​和​64​位​系统​的​兼容性
NI​驱动​程序 Windows 8 32位 Windows 8 64位 Windows 8 64位
(使用​32​位​软件) (使用​64​位​软件)
NI-435X 不​支持 不​支持 不​支持
NI-488.2 3.1 3.1 3.1
NI-5640R 1.7 1.7 不​支持
NI-568x 1.1 1.1 1.2
NI-5690 1.1 1.1 不​支持
NI-845x 2.1 2.1 2.1
NI-​CAN 2.7.4 2.7.4 不​支持
NI CompactRIO Device Drivers 2015​年​8月 2015​年​8月 2015​年​8月
NI-​DAQmx 8.9.5 8.9.5 8.9.5
NI-​DAQmx​基本版 3.4 3.4 不​支持
NI-​DCPower 1.7.5 1.7.5 1.7.5
NI-​Digital Pattern Driver 不​支持 不​支持 不​支持
NI-​DMM 3.0.6 3.0.6 3.0.6
NI-​DNET 不​支持 不​支持 不​支持
NI ELVISmx 4.4 4.4 不​支持
NI-​Embedded CAN(用于​sbRIO) 不​支持 不​支持 不​支持
NI-​FBUS 4.1.1 4.1.1 不​支持
NI-​FGEN 2.9.1 2.9.1 2.9.1
NI-​Fieldpoint 6.0.11 6.0.11 不​支持
NI FlexRIO 12.0 12.0 12.0
NI-​HSDIO 2.0 2.0 2.0
NI-​IMAQ 4.7 4.7 4.7
NI-​IMAQ I/O 2.6 2.6 2.6.1
NI-​IMAQdx 4.0 4.0 4.0
NI-​Industrial Communications for 60870-5 1.1 1.1 不​支持
NI-​Industrial Communications for 61850 2.0 2.0 不​支持
NI-​Industrial Communications for CANopen 1.0.3 1.0.3 不​支持
NI-​Industrial Communications for DeviceNet 2.2 2.2 不​支持
NI-​Industrial Communications for DNP3 2.0 2.0 不​支持
NI-​Industrial Communications for EtherCAT 16.0 16.0 不​支持
NI-​Industrial Communications for EtherNet/​IP 1.2.1 1.2.1 1.2.1
NI​工业​控制器​设备​驱动 15.5 15.5 15.5
NI IVI Compliance Package 4.6 4.6 4.6
NI-​Motion 8.4 8.4 不​支持
NI-​OSI 1 2.1 不​支持
NI-​PAL 2.9.1 2.9.1 2.9.1
NI PXI Platform Services 3.2 3.2 3.2
NI PXI-5660 1.7.2 不​支持 不​支持
NI PXIe-5644R/​5645R/​5646R​仪器​设计库 1.1 1.1 不​支持
NI-​PXIe-659x​仪器​设计库 14.0 14.0 14.0
NI-​PXImc 1.0 1.0 1.0
NI-​RFmx Demod 1.0 1.0 1.0
NI-​RFmx SpecAn 1.0 1.0 1.0
NI-​RFSA 2.6 2.6 2.6
NI-​RFSG 1.8.5 1.8.5 1.8.5
NI-​RIO 12.0 12.0 12.0
NI R Series Multifunction RIO Device Drivers 2014​年​8月 2014​年​8月 2014​年​8月
NI-​Scope 3.9.7 3.9.7 3.9.7
NI-​Serial 3.9 3.9 3.91
NI-​SLSC 1.0 1.0 1.0
NI-​SWITCH 4.6.1 4.6.1 4.6.1
NI Sync 3.3.5 3.3.5 3.3.5
NI System Configuration 5.3.3 5.3.3 5.3.3
NI-​TimeSync 1.1.5 1.1.5 不​支持
NI USRP 1.3 1.3 14.0
NI-​VirtualBench 1.0 1.0 1.0
NI-​VISA 5.2 5.2 5.2
NI​视觉​采集​软件 2012​年​8​月​ 2012​年​8​月​ 2012​年​8​月​
NI-​VNA 2.0 2.0 2.0
NI-​VXI 不​支持 不​支持 不​支持
NI-​WSN 1.5 1.5 不​支持
NI-​XNET 1.6 1.6 14.0